hpp-corbaserver: hpp::core_impl::PathProjectorServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::core_impl::PathProjectorServant< _Base, _Storage > Class Template Reference

`#include <hpp/core_idl/path_projectors-fwd.hh>`

Inheritance diagram for hpp::core_impl::PathProjectorServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::core_impl::PathProjectorServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::core::PathProjector | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::core::PathProjector, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::PathProjector, HppBase)
| PathProjectorServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~PathProjectorServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
hpp::core_idl::Path_ptr | apply (hpp::core_idl::Path_ptr input, ::CORBA::Boolean &success)
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::PathProjector, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object. More...
bool | persistantStorage () const
| See persistantStorage(bool) More...
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::PathProjector, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::core::PathProjector, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::core::PathProjector hpp::core_impl::PathProjectorServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ PathProjectorServant()

template<typename _Base , typename _Storage >

hpp::core_impl::PathProjectorServant< _Base, _Storage >::PathProjectorServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~PathProjectorServant()

template<typename _Base , typename _Storage >

hpp::core_impl::PathProjectorServant< _Base, _Storage >::~PathProjectorServant
| virtual

## Member Function Documentation

## ◆ apply()

template<typename _Base , typename _Storage >

hpp::core_idl::Path_ptr hpp::core_impl::PathProjectorServant< _Base, _Storage >::apply | ( | hpp::core_idl::Path_ptr | input,
|  | ::CORBA::Boolean & | success
| ) |  |

## ◆ deleteIfExpired()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::core_impl::PathProjectorServant< _Base, _Storage >::deleteIfExpired

## ◆ deleteThis()

template<typename _Base , typename _Storage >

void hpp::core_impl::PathProjectorServant< _Base, _Storage >::deleteThis

## ◆ persistantStorage()

template<typename _Base , typename _Storage >

void hpp::core_impl::PathProjectorServant< _Base, _Storage >::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::core_impl::PathProjectorServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::core_idl::PathProjector | ,
|  | HppBase |
| ) |  |

The documentation for this class was generated from the following files:

- src/hpp/core_idl/path_projectors-fwd.hh
- src/hpp/core_idl/path_projectors.hh